> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/api/graphql/user.md).

# User

```
version   : 0.0.0
stability : stable
```

## Objects

### User

Fields

| Name                   | Type                                                      | Description                                                                                                                                 |
| ---------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| account                | [Account](/api/graphql/account.md#account)                | Find an account by its login that the user belongs to.                                                                                      |
| id                     | [ID!](/api/graphql/scalars.md#id)                         | The user's identifier.                                                                                                                      |
| login                  | [String!](/api/graphql/scalars.md#string)                 | The user's login name.                                                                                                                      |
| name                   | [String](/api/graphql/scalars.md#string)                  | The user's public profile name. (This field will be replaced by `firstName` and `lastName` and will be no longer available from 2021/06/02) |
| firstName              | [String](/api/graphql/scalars.md#string)                  | The user's public profile first name.                                                                                                       |
| lastName               | [String](/api/graphql/scalars.md#string)                  | The user's public profile last name.                                                                                                        |
| organization           | [Organization](/api/graphql/organization.md#organization) | Find an organization by its login that the user belongs to.                                                                                 |
| accountPermission      | [Permission](/api/graphql/enums.md#permission)            | The permission level of the user inside the account.                                                                                        |
| organizationPermission | [Permission](/api/graphql/enums.md#permission)            | The permission level of the user inside the organization.                                                                                   |
| userType               | [UserType](/api/graphql/enums.md#usertype)                | The user's platform type (Frontend or API)                                                                                                  |
| jobTitle               | [String](/api/graphql/scalars.md#string)                  | The user's job title.                                                                                                                       |

### UserEdge

Fields

| Name   | Type                                | Description |
| ------ | ----------------------------------- | ----------- |
| cursor | [ID!](/api/graphql/scalars.md#id)   | -           |
| node   | [User](/api/graphql/viewer.md#user) | -           |

### PageInfo

Information about type pagination in a connection. Fields

| Name            | Type                                        | Description                                        |
| --------------- | ------------------------------------------- | -------------------------------------------------- |
| startCursor     | [ID](/api/graphql/scalars.md#id)            | When paginating backwards, the cursor to continue. |
| endCursor       | [ID](/api/graphql/scalars.md#id)            | When paginating forwards, the cursor to continue.  |
| hasNextPage     | [Boolean!](/api/graphql/scalars.md#boolean) | When paginating forwards, are there more items?    |
| hasPreviousPage | [Boolean!](/api/graphql/scalars.md#boolean) | When paginating backwards, are there more items?   |

### UserConnection

Fields

| Name     | Type                                            | Description |
| -------- | ----------------------------------------------- | ----------- |
| edges    | [\[UserEdge\]!](/api/graphql/user.md#useredge)  | -           |
| nodes    | [\[User\]!](/api/graphql/viewer.md#user)        | -           |
| pageInfo | [PageInfo!](/api/graphql/violation.md#pageinfo) | -           |

## Queries

### `user`

Returns: [User](/api/graphql/viewer.md#user)

Arguments

| Name  | Type                                      | Description |
| ----- | ----------------------------------------- | ----------- |
| login | [String!](/api/graphql/scalars.md#string) | -           |

### `users`

Returns: [UserConnection](/api/graphql/user.md#userconnection)

Arguments

| Name  | Type                                     | Description |
| ----- | ---------------------------------------- | ----------- |
| first | [Int!](/api/graphql/scalars.md#int)      | -           |
| after | [String](/api/graphql/scalars.md#string) | -           |

## Mutations

### `createUser`

Returns: [User](/api/graphql/viewer.md#user)

Arguments

| Name  | Type                                                                     | Description |
| ----- | ------------------------------------------------------------------------ | ----------- |
| input | [CreateUserMutationInput!](/api/graphql/user.md#createusermutationinput) | -           |

### `updateUser`

Returns: [User](/api/graphql/viewer.md#user)

Arguments

| Name  | Type                                                                     | Description |
| ----- | ------------------------------------------------------------------------ | ----------- |
| input | [UpdateUserMutationInput!](/api/graphql/user.md#updateusermutationinput) | -           |

### `deleteUser`

Returns: [User](/api/graphql/viewer.md#user)

Arguments

| Name  | Type                                                                     | Description |
| ----- | ------------------------------------------------------------------------ | ----------- |
| input | [DeleteUserMutationInput!](/api/graphql/user.md#deleteusermutationinput) | -           |

## Inputs

### `CreateUserMutationInput`

Fields

| Name                   | Type                                                         | Description                                                                                                                                 | Default |
| ---------------------- | ------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | ------- |
| account                | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The account of the user.                                                                                                                    | -       |
| name                   | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's public profile name. (This field will be replaced by `firstName` and `lastName` and will be no longer available from 2021/06/02) | -       |
| firstName              | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's public profile first name.                                                                                                       | -       |
| lastName               | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's public profile last name.                                                                                                        | -       |
| email                  | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's email.                                                                                                                           | -       |
| accountPermission      | [Permission](/api/graphql/enums.md#permission)               | The permission level of the user inside the account.                                                                                        | -       |
| organizationPermission | [Permission](/api/graphql/enums.md#permission)               | The permission level of the user inside the organization.                                                                                   | -       |
| userType               | [UserType](/api/graphql/enums.md#usertype)                   | The user's platform type (Frontend or API)                                                                                                  | -       |
| jobTitle               | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's job title.                                                                                                                       | -       |

### `UpdateUserMutationInput`

Fields

| Name                   | Type                                                         | Description                                                                                                                         | Default |
| ---------------------- | ------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------- | ------- |
| account                | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The account of the user.                                                                                                            | -       |
| login                  | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's login name.                                                                                                              | -       |
| name                   | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's public name. (This field will be replaced by `firstName` and `lastName` and will be no longer available from 2021/06/02) | -       |
| firstName              | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's public profile first name.                                                                                               | -       |
| lastName               | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's public profile last name.                                                                                                | -       |
| accountPermission      | [Permission](/api/graphql/enums.md#permission)               | The permission level of the user inside the account.                                                                                | -       |
| organizationPermission | [Permission](/api/graphql/enums.md#permission)               | The permission level of the user inside the organization.                                                                           | -       |
| jobTitle               | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The user's job title.                                                                                                               | -       |

### `DeleteUserMutationInput`

Fields

| Name    | Type                                                         | Description              | Default |
| ------- | ------------------------------------------------------------ | ------------------------ | ------- |
| login   | [ConstraintString](/api/graphql/scalars.md#constraintstring) | -                        | -       |
| account | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The account of the user. | -       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/api/graphql/user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
